// Arquivo de exemplo: Compile.aspx.cs
using System;
using System.Xml.XPath;

public partial class Compile : System.Web.UI.Page {
	protected void Page_Load(object sender, EventArgs e) {
		XPathDocument doc = new XPathDocument(@"C:\livro\capitulo22\estado.xml");
		XPathNavigator nav = doc.CreateNavigator();
		XPathExpression cache = nav.Compile("Estados/Estado/nome");
		XPathNodeIterator no = nav.Select(cache);
		while (no.MoveNext()) 	{
			Response.Write(no.Current.Value + "<br>");
}}}
